export interface IAttrs {
    id?: string;
    [property: string]: string | number;
}
export interface IOptions {
    ignore?: string[];
    parentAttrs?: IAttrs;
    inline?: boolean;
    iconAttrs?: IAttrs;
    iconPrefix?: string;
    iconSuffix?: string;
}
export interface IResult {
    sprite: string;
    write: (filepath: string) => void;
}
export declare function makeSprite(dir: string, options?: IOptions): Promise<IResult>;
